<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [GitDocumentDB](./git-documentdb.gitdocumentdb.md) &gt; [(constructor)](./git-documentdb.gitdocumentdb._constructor_.md)

## GitDocumentDB.(constructor)

Constructor

<b>Signature:</b>

```typescript
constructor(options: DatabaseOption);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [DatabaseOption](./git-documentdb.databaseoption.md) |  |

## Exceptions

[InvalidWorkingDirectoryPathLengthError](./git-documentdb.invalidworkingdirectorypathlengtherror.md)

[UndefinedDatabaseNameError](./git-documentdb.undefineddatabasenameerror.md)

## Remarks

- The git working directory will be localDir/dbName.

